#!/bin/sh
#------------------------------------------------------------------------------
# /tmp/install.sh  - install script for ncurses
#
# Creation:     2009-06-28 hb
# Last Update:  $Id: postinstall-ncurses.sh 20400 2009-07-12 07:14:43Z hbfl $
#
# Copyright (c) 2001-2009 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#------------------------------------------------------------------------------

# set packages name
packages_name=ncurses


#----------------------------------------------------------------------------
# generate symlinks
#----------------------------------------------------------------------------
cd /lib

lib_names="libncurses.so.5.6 libncursesw.so.5.6"

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
    echo "b 0644 root root ${packages_name} lib/${LinkSRC}"           >>/etc/filelist.d/${packages_name}-files.txt
done

cd /usr/lib/

lib_names="libform.so.5.6 libformw.so.5.6 libmenu.so.5.6 libmenuw.so.5.6 libpanel.so.5.6 libpanelw.so.5.6"

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
    echo "b 0644 root root ${packages_name} usr/lib/${LinkSRC}"           >>/etc/filelist.d/${packages_name}-files.txt
done


cd /usr/bin

bin_names="tic:captoinfo
tic:infotocap
tset:reset"

echo "${bin_names}" |
while read line
do
    OLD_IFS=${IFS}
    IFS=':'

    set -- ${line}

    IFS=${_OLD_IFS}

    if [ -n "${2}" ]
    then
        LinkDES="${1}"
        LinkSRC="${2}"

        ln -sf ${LinkDES} ${LinkSRC}
        echo "b 0755 root root ${packages_name} usr/bin/${LinkSRC}"           >>/etc/filelist.d/${packages_name}-files.txt
    fi
done

#----------------------------------------------------------------------------
# deinstall old lib version
#----------------------------------------------------------------------------

rm -f /lib/libncurses.so.5.4
rm -f /etc/filelist.d/${packages_name}-files.txt
/sbin/ldconfig >/dev/null 2>&1

cd /usr/lib

rm -rf terminfo
ln -sf /usr/share/terminfo


exit 0
